get file "z:\IPS1\quarterly\rips\newrips2007.sav".

** THIS CODE FORMATS ANY TRAVELPAC FILE.
** BUT RIPS MUST HAVE BEEN RUN FIRST.

compute sample= 1. 
do if any(ukport,0,100).
recode sample(else = sysmis).
end if.


** LABLE UP QUARTER MODE AND UKOS
val lab quarter   1 "Jan-Mar"
                  2 "Apr-Jun"
                  3 "Jul-Sep"
                  4 "Oct-Dec". 

val lab mode      1 "Air"
                  2 "Sea"
                  3 "Tunnel".

val lab ukos      1 "UK residents"
                  2 "Overseas residents"

val lab package   1 "Independent"
                  2 "Non-Independent".

** RECODE PURPOSE OF VISIT.
recode purpose (1 thru 2                = 1)
               (3,4,31,32               = 2)
               (5                       = 3)
               (6,61,62                 = 4)
               (7,8,9,19,44,55,66,77,89 = 5)
               (90                      = 6)
               (else                    = 9). 

val lab purpose  1 'Holiday'
                 2 'Business'
                 3 'Study'
                 4 'VFR'
                 5 'Miscellaneous'
                 6 "Transit".

** RECODE AGE.
recode age (0=1)(3=2)(4=3)(5=4)(6=5)(7=6)(8=7)(9=9).
value lables age 1 ' 0-15'
                 2 '16-24'
                 3 '25-34'
                 4 '35-44'
                 5 '45-54'
                 6 '55-64'
                 7 '65 & over'
                 9 'D/K'.

** CODE UP NEW TRAVELPAC COUNTRIES.
include file "t:\travelpac-new\newtpcountries-rev.sps".
   
aggregate / outfile = *
          / break year quarter ukos mode country purpose package age 
            sex duration
          / visits = sum(visits)
          / nights = sum(nights)
          / spend  = sum(expend)
          / sample = sum(sample).  

formats  year      (f4.0)
        /quarter   (f1.0)
        /ukos      (f1.0)
        /mode      (f1.0)
        /country   (f2.0)
        /purpose   (f1.0)
        /package   (f1.0)
        /age       (f1.0)  
        /sex       (f1.0)
        /duration  (f1.0)
        /visits   (f11.3)
        /nights   (f11.3)
        /spend    (f11.3) 
        /sample    (f3.0).

** var lab
         year      " Year "
        /quarter   " Quarter "
        /ukos      " Main residency " 
        /mode      " Mode of travel "
        /country   " Country of visit/of residence "
        /purpose   " Main purpose of visit "
        /package   " Package tour or independent "
        /age       " Age range "  
        /sex       " Gender "
        /duration  " Duration of stay "
        /visits    " Number of visits "
        /nights    " Number of nights "
        /spend     " Spending UK " 
        /sample    " Number of contacts ".

var lab  year      ""
        /quarter   ""
        /ukos      "" 
        /mode      ""
        /country   ""
        /purpose   ""
        /package   ""
        /age       ""  
        /sex       ""
        /duration  ""
        /visits    ""
        /nights    ""
        /spend     "" 
        /sample    "".    

save outfile  "t:\travelpac-new\new-outputs\travelpac2007sr.sav".
SAVE TRANSLATE OUTFILE='t:\travelpac-new\new-outputs\tp2007nr.xls'/TYPE=XLS/VERSION=8/REPLACE/FIELDNAMES/CELLS=VALUES .
SAVE TRANSLATE OUTFILE='t:\travelpac-new\new-outputs\tp2007lr.xls'/TYPE=XLS/VERSION=8/REPLACE/FIELDNAMES/CELLS=LABELS .


get file "t:\travelpac-new\new-outputs\travelpac2007sr.sav".
compute vis = visits/1000.
compute exp = spend/1000000.

tables / obs vis exp
       / tab year>quarter by ukos>(vis+exp)
       / sta sum("" (comma8.0)). 

